<?php

// music page
$app->get('/music', function() use($app) {

  $albums = $app->album->all()->sortByDesc('release_date')->values()->all();
  $songs = $albums[0]->songs;
  $links = $albums[0]->links;

  $app->render('pages/music.twig', [
    'albums' => $albums,
    'songs' => $songs,
    'links' => $links,
  ]);

})->name('music');
