<?php

namespace Halftone\Website\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Views\Twig;

class HomeController extends Controller {

  public function getIndex(Request $request, Response $response): Response {
    $view = Twig::fromRequest($request);
    return $view->render($response, 'pages/home.twig', []);
  }

  public function getAbout(Request $request, Response $response): Response {
    $view = Twig::fromRequest($request);
    return $view->render($response, 'pages/about.twig', []);
  }

  public function getContact(Request $request, Response $response): Response {
    $view = Twig::fromRequest($request);
    return $view->render($response, 'pages/contact.twig', []);
  }

}
